Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class GuestUserInstance

    java.lang.Object
      org.jasig.portal.UserInstance
          org.jasig.portal.GuestUserInstance

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.http.HttpSessionBindingListener

    public class GuestUserInstance

extends UserInstance
implements javax.servlet.http.HttpSessionBindingListener

A multithreaded version of a UserInstance.

Version:
  $Revision: 1.23 $
Author:
  Peter Kharchenko pkharchenko@interactivebusiness.com

Nested Class Summary
`private class` | `GuestUserInstance.IState`

Field Summary
`private static org.apache.commons.logging.Log` | `log`
`(package private) java.util.Map` | `stateTable`
`(package private) GuestUserPreferencesManager` | `uLayoutManager`

Fields inherited from class org.jasig.portal.UserInstance
`CACHE_ENABLED, CHARACTER_CACHE_ENABLED, guestUserId, person, systemCache, systemCharacterCache, USER_LAYOUT_ROOT_NODE`

Constructor Summary
`GuestUserInstance(IPerson person)`

Method Summary
`void` | `registerSession(javax.servlet.http.HttpServletRequest req)` Register arrival of a new session.
`void` | `unbindSession(java.lang.String sessionId)` Unbinds a registered session.
`void` | `valueBound(javax.servlet.http.HttpSessionBindingEvent bindingEvent)` Notifies UserInstance that it has been bound to a session.
`void` | `valueUnbound(javax.servlet.http.HttpSessionBindingEvent bindingEvent)` This notifies UserInstance that it has been unbound from the session.
`void` | `writeContent(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Prepares for and initates the rendering cycle.

Methods inherited from class org.jasig.portal.UserInstance
`getPerson, processPortletActionIfNecessary, processWorkerDispatch, renderState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### stateTable

    java.util.Map stateTable

### uLayoutManager

    GuestUserPreferencesManager uLayoutManager

Constructor Detail

### GuestUserInstance

    public GuestUserInstance(IPerson person)

Method Detail

### registerSession

    public void registerSession(javax.servlet.http.HttpServletRequest req)
                         throws PortalException

  Register arrival of a new session. Create and populate new state entry.

  Parameters:
    `req` - a `HttpServletRequest` value
  Throws:
    `PortalException`

### unbindSession

    public void unbindSession(java.lang.String sessionId)

  Unbinds a registered session.

  Parameters:
    `sessionId` - a `String` value

### valueUnbound

    public void valueUnbound(javax.servlet.http.HttpSessionBindingEvent bindingEvent)

  This notifies UserInstance that it has been unbound from the session. Method triggers cleanup in ChannelManager.

  Specified by:
    `valueUnbound` in interface `javax.servlet.http.HttpSessionBindingListener`
  Overrides:
    `valueUnbound` in class `UserInstance`
  Parameters:
    `bindingEvent` - an `HttpSessionBindingEvent` value

### valueBound

    public void valueBound(javax.servlet.http.HttpSessionBindingEvent bindingEvent)

  Notifies UserInstance that it has been bound to a session.

  Specified by:
    `valueBound` in interface `javax.servlet.http.HttpSessionBindingListener`
  Overrides:
    `valueBound` in class `UserInstance`
  Parameters:
    `bindingEvent` - a `HttpSessionBindingEvent` value

### writeContent

    public void writeContent(javax.servlet.http.HttpServletRequest req,
                             javax.servlet.http.HttpServletResponse res)
                      throws PortalException

  Prepares for and initates the rendering cycle.

  Overrides:
    `writeContent` in class `UserInstance`
  Parameters:
    `req` - the servlet request object
    `res` - the servlet response object
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD